
Public Support - Support Request #1165

ADTFS-47678 Behavior of ADTF File Library regarding EDS/Attached Files and Referenced Files

2017-09-12 13:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF File Library 0.1.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: FileLibrary::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage:

We need to know how the ADTF File library behaves on the following points (check these points for ADTF 2 and 3 DATs):

Extraction/reading of extended data, with

either created via the EDS (Extended Data Service in ADTF 2, should usually contain only files).

or created via code (not using the EDS, can contain files or memory blocks).

How does the ADTF File library read DATs which linked to other DATs

Created with two or more HDRecorders.

Behavior with split files which are just generated with one recorder.

Combination of both (more than on recorder and split files).

In case of split files, when not the first file of a split DAT is given to the ADTF File library

Danke und Grüße,

Anja

EB Assist ADTF Support-Team

---------------------

Lösung:

Die File Library kann ADTF 3 und ADTF 2 Files schreiben, sowie alle ADTF File Varianten lesen.

Coming Soon:

DDL Unterstützung zur description Datei Erzeugung

Vollständige Dokumentation

Weitere Beispiele

Zum Thema EDS (ADTF 2.x) und Attached Files (ADTF 3.x):

Das wird in der aktuellen Version der File Lib noch nicht unterstützt, es kann lediglich auf die Extensions zugegriffen werden.

Thema referenzierte Files:

Das wird (und wurde auch in der Streaming Lib) nicht automatisch aufgelöst, zumindest soweit ich damit Berührung hatte.

Es wird immer ein File alleine betrachtet, mittels Extensions können Abhängigkeiten (Split, Referenced Files) ermittelt werden und

dann diese Files geöffnet werden. Für die Referenced Files gibt es die Klasse "ReferencedFilesExtension" mit der man die Extension

interpretieren kann.

In ADTF 3 sind die attached files ein tar.gz Archiv, dass man einfach mit adtf_datdump extrahieren kann, das ist auch in der Hilfe von

ADTF 3 beschrieben:

adtf_datdump -extractextension=attached_files <adtfdat file> | tar xz

History
#1 - 2017-09-14 08:42 - hidden

- Project changed from Public Support to 7

- Topic set to FileLibrary::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.1.0 (BETA) added

- Platform Windows 7 64bit added

#2 - 2017-09-14 09:13 - hidden

- Status changed from New to In Progress

#3 - 2017-09-15 10:29 - hidden

Hallo Anja,

die File Library kann ADTF 3 und ADTF 2 Files schreiben, sowie alle ADTF File Varianten lesen.

Coming Soon:

DDL Unterstützung zur description Datei Erzeugung

Vollständige Dokumentation

Weitere Beispiele

Weiteres ist bis jetzt nicht implementiert in v0.1.0.

@Florian, hast du dazu noch etwas hinzuzufügen?

#4 - 2017-09-15 14:14 - hidden

- Description updated

Hallo Anja,

zum Thema EDS (ADTF 2.x) und Attached Files (ADTF 3.x):

Ich glaube das wird in der aktuellen Version der File Lib noch nicht unterstützt, es kann lediglich auf die Extensions zugegriffen werden.

zum Thema referenzierte Files:

Das wird (und wurde auch in der Streaming Lib) nicht automatisch aufgelöst, zumindest soweit ich damit Berührung hatte.

Es wird immer ein File alleine betrachtet, mittels Extensions können Abhängigkeiten (Split, Referenced Files) ermittelt werden und dann diese Files

geöffnet werden.

@Martin: Bitte um Statement/Korrektur.

#5 - 2017-09-15 14:25 - hidden

Ja genauso ist es. Für die Referenced Files gibt es die Klasse "ReferencedFilesExtension" mit der man die Extension interpretieren kann. In ADTF 3

sind die attached files ein tar.gz Archiv, dass man einfach mit adtf_datdump extrahieren kann, das ist auch in der Hilfe von ADTF 3 beschrieben:

adtf_datdump -extractextension=attached_files <adtfdat file> | tar xz

#6 - 2017-09-15 14:27 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

damit sollten deine Fragen beantwortet sein ?!

#7 - 2017-09-15 14:27 - hidden

- Support Level changed from 3rd Level to 2nd Level
#8 - 2017-09-18 14:30 - hidden

- File image001.gif added

Hallo Florian,

Ja, vielen Dank.

Viele Grüße,

Anja

#9 - 2017-09-18 14:54 - hidden

- File deleted (image001.gif)

#10 - 2017-09-18 14:58 - hidden

- Project changed from 7 to Public Support

- Subject changed from Behavior of ADTF File library to ADTFS-47678 Behavior of ADTF File library

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

@Florian, Ticket kann geschlossen werden. Interessant für alle, keine sensiblen Daten -> Public

#11 - 2017-09-18 14:58 - hidden

- Support Level changed from 2nd Level to 3rd Level

#12 - 2017-09-18 16:28 - hidden

- Subject changed from ADTFS-47678 Behavior of ADTF File library to ADTFS-47678 Behavior of ADTF File Library regarding EDS/Attached Files

and Referenced Files

- Status changed from To Be Closed to Closed
